import pytest
from pyramid import testing
from pyramid.httpexceptions import HTTPBadRequest
from time import sleep
from clmcservice.utilities import CONFIG_ATTRIBUTES, PROCESS_ATTRIBUTE, RUNNING_FLAG, MALFORMED_FLAG, URL_REGEX
import os
import signal


class TestSRMockAPI(object):

    @pytest.fixture(autouse=True)
    def app_config(self):
        print("app_config")
        self.config = testing.setUp()

        # endpoint
        # sr
        # sfc_i
        # sf_i
 
        self.config.add_settings({
            'my_endpoint_1': {'sfc_i': 'my_sfc_i_1', 'sf_i': 'my_sf_i_1', 'sr': 'my_sr_1'},
            'my_endpoint_2': {'sfc_i': 'my_sfc_i_2', 'sf_i': 'my_sf_i_2', 'sr': 'my_sr_2'}})

        yield

        testing.tearDown()
        

    def test_GET_config(self):
        print("Test get")

        # nested import so that importing the class view is part of the test itself
        from clmcservice.views import SRMockConfig  

        request = testing.DummyRequest()
        response = SRMockConfig(request).get()

        print("response={0}".format(response))

    @pytest.mark.parametrize("input_body, output_value", [
        ('{"aggregator_report_period": 10, "aggregator_database_name": "CLMCMetrics", "aggregator_database_url": "http://171.40.231.51:8086"}',
         {'aggregator_report_period': 10, 'aggregator_database_name': "CLMCMetrics", 'aggregator_database_url': "http://171.40.231.51:8086"}),
    ])
    def test_PUT_config(self, input_body, output_value):
        print("Test put")

    